<!DOCTYPE html>
<html>
  <head>
    <title>Socket.IO chat</title>
    <link rel="shortcut icon" href="https://africanworldentertainment.com/images/favicon.ico">
    <style>
      body { margin: 0; padding-bottom: 3rem; font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif; }

      #form { background: rgba(0, 0, 0, 0.15); padding: 0.25rem; position: fixed; bottom: 0; left: 0; right: 0; display: flex; height: 3rem; box-sizing: border-box; backdrop-filter: blur(10px); }
      #input { border: none; padding: 0 1rem; flex-grow: 1; border-radius: 2rem; margin: 0.25rem; }
      #input:focus { outline: none; }
      #form > button { background: #333; border: none; padding: 0 1rem; margin: 0.25rem; border-radius: 3px; outline: none; color: #fff; }

      #messages { list-style-type: none; margin: 0; padding: 0; }
      #messages > li { padding: 0.5rem 1rem; }
      #messages > li:nth-child(odd) { background: #efefef; }
    </style>
  </head>
  <body>
    <ul id="messages"></ul>
    <form id="form" action="">
      <input id="input" autocomplete="off" /><button>Send</button>
    </form>
    <script src="/socket.io/socket.io.js"></script>

    <script>
      var socket = io();

      socket.emit('connect_user', { user_id: 2});

      console.log("Connect!");

      socket.emit('send_message', { sender_id: 2, receiver_id:1, message: "My Msg test 1"});

      /*socket.on('receiver_message', function(data) {
        console.log("receiver_message");
        console.log(data);
      });*/

      //socket.emit('watching', { user_id: 3, content_id : 37, video_id: 35, seconds: 1});

     /* var messages = document.getElementById('messages');
      var form = document.getElementById('form');
      var input = document.getElementById('input');

      form.addEventListener('submit', function(e) {
        e.preventDefault();
        if (input.value) {
          socket.emit('chat message', input.value);
          socket.emit('play video', input.value);
          socket.emit('connect_user', { user_id: 2});
          socket.emit('watching', { user_id: 2, content_id: 1, season_id: 0, seconds:20, video_id:3 });
          input.value = '';

          
        }
      });

      socket.on('chat message', function(msg) {
        var item = document.createElement('li');
        item.textContent = msg;
        messages.appendChild(item);
        window.scrollTo(0, document.body.scrollHeight);
      });*/

    </script>
  </body>
</html>
